These are chat archives for jruby-gradle/jruby-gradle-plugin

26th
Nov 2015
Schalk W. Cronjé
@ysb33r
Nov 26 2015 17:46
what is the latest working version of jruby 9k? 9.0.0.5?
Christian Meier
@mkristian
Nov 26 2015 17:48
9.0.4.0
Schalk W. Cronjé
@ysb33r
Nov 26 2015 17:51
is it safe enough to use with ruby-gradle?
Christian Meier
@mkristian
Nov 26 2015 17:51
I think @rtyler merged it already to master
it is safe enough. 9.0.3.0 has some issue on windows :)
Schalk W. Cronjé
@ysb33r
Nov 26 2015 17:52
ah ok, it was my tree that was not up to date
R. Tyler Croy
@rtyler
Nov 26 2015 17:59
I didrelease 1.1.5 with 9.0.4.0
Schalk W. Cronjé
@ysb33r
Nov 26 2015 18:08
I am looking into getting the asciidoctorj build to work with 1.1.5 base+jar.
Schalk W. Cronjé
@ysb33r
Nov 26 2015 18:20
@mkristian you mentioned some issue with OSGI
Christian Meier
@mkristian
Nov 26 2015 18:22
it is just the missing .jrubydir files inside the specifications and gems directories
jruby-gradle/jruby-gradle-plugin#258
Schalk W. Cronjé
@ysb33r
Nov 26 2015 18:22
reason I’m asking is that I see that one of the asciidoctorj subproject requires osgi.
Christian Meier
@mkristian
Nov 26 2015 18:23
we just removed the generation from the base plugin thinking the jar-plugin does it right now
Schalk W. Cronjé
@ysb33r
Nov 26 2015 18:24
I think I’ll try to upgradle (pun intended) the base version and get it to work, then see if I can add jar.
Schalk W. Cronjé
@ysb33r
Nov 26 2015 22:01
what is the latest 1.7.x jruby version?